#!/bin/sh
echo 'name: primitive
version: 0.5.0.1
id: primitive-0.5.0.1-8e5f40b409f7bb31ae1acfb125279700

license: BSD3
copyright: (c) Roman Leshchinskiy 2009-2012
maintainer: Roman Leshchinskiy <rl@cse.unsw.edu.au>
stability:
homepage: http://code.haskell.org/primitive
package-url:
synopsis: Primitive memory-related operations
description:  
             .
             This package provides various primitive memory-related operations.
             .
             Changes in version 0.5.0.1
             .
             * Disable array copying primitives for GHC 7.6.* and earlier
             .
             Changes in version 0.5
             .
             * New in "Data.Primitive.MutVar": @atomicModifyMutVar@
             .
             * Efficient block fill operations: @setByteArray@, @setAddr@
             .
category: Data
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
exposed: True
exposed-modules: Control.Monad.Primitive Data.Primitive
                 Data.Primitive.MachDeps Data.Primitive.Types Data.Primitive.Array
                 Data.Primitive.ByteArray Data.Primitive.Addr Data.Primitive.MutVar
hidden-modules: Data.Primitive.Internal.Compat
                Data.Primitive.Internal.Operations
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/primitive-0.5.0.1
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/primitive-0.5.0.1
              /usr/local/lib
hs-libraries: HSprimitive-0.5.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/cabal/ghc-7.6.3/primitive-0.5.0.1/include
includes: primitive-memops.h
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/primitive-0.5.0.1/html/primitive.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/primitive-0.5.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
